#!/usr/bin/bash

SESSION_NAME="rpm-init"
RPM_DIR="/var/lib/rpm"
LOG_FILE="$RPM_DIR/rpm-check.log"
TEMP_LOG_FILE="$RPM_DIR/rpm-check-new.log"

FORCE_CHECK=0

# Обработка параметров
case "$1" in
  force)
    FORCE_CHECK=1
    ;;
esac

# Проверяем, есть ли уже активная screen-сессия
if screen -list | grep -q "\.${SESSION_NAME}[[:space:]]"; then
  echo "Сессия '$SESSION_NAME' уже запущена. Второй запуск не требуется."
  exit 0
fi

# Проверка лога rpm-check
if [[ $FORCE_CHECK -eq 0 ]]; then
  if [[ -f "$LOG_FILE" ]]; then
    LOG_AGE_SECONDS=$(( $(date +%s) - $(stat -c %Y "$LOG_FILE") ))
    LOG_AGE_SECONDS=0 #Отключено
    if (( LOG_AGE_SECONDS < 3600 && NEED_INIT == 0 )); then
      #echo "Последний отчёт rpm моложе 1 часа:"
      cat "$LOG_FILE"
      exit 0
    fi
  fi
fi

# Теперь запускаем через screen нужную цепочку
echo "Запускаем rpm --all --verify..."
screen -dmS "$SESSION_NAME" bash -c "
  shopt -s dotglob &&
  rpm --all --verify > \"$TEMP_LOG_FILE\" 2>&1;
  mv \"$TEMP_LOG_FILE\" \"$LOG_FILE\";
  shopt -u dotglob;
  exit
"













